Custom Entities
List Custom Entities
Returns a paginated list of custom Entities.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id?string
Unique identifier for the resource.
Format
uuidid[in]?array<>
Filters by any of the supplied id values.
Items
items <= 10custom_entity_definition?string
The definition whose JSON Schema validates this custom entity.
Format
uuidcustom_entity_definition[in]?array<>
Filters by any of the supplied custom entity definition values.
Items
items <= 10contact?string
The contact this custom entity belongs to.
Format
uuidcontact[in]?array<>
Filters by any of the supplied contact values.
Items
items <= 10external_id?string
Identifier assigned by an external system.
Length
1 <= lengthexternal_id[in]?array<>
Filters by any of the supplied external id values.
Items
items <= 10external_id[is_null]?true
Filters for resources where external id is null.
external_id[not_null]?true
Filters for resources where external id is not null.
custom_entity_definition_key?string
Stable key used to identify the definition.
custom_entity_definition_key[in]?array<>
Filters by any of the supplied custom entity definition key values.
limit?integer
Maximum number of resources to return.
Default
10Range
0 <= value <= 100page_token?string
Opaque token returned by a previous page request.
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://api.getmateo.com/v1/custom-entities"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_entity_definition_id": "7d69c76b-fbd6-4171-a3bd-6ed8ca83d88f", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "external_id": "string", "data": { "property1": {}, "property2": {} }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_page_url": "string", "previous_page_url": "string"}